curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/suggestions/interactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interactions": [
{
"suggestion_id": "550e8400-e29b-41d4-a716-446655440000",
"state": "accepted"
},
{
"suggestion_id": "660e8400-e29b-41d4-a716-446655440001",
"state": "rejected"
}
]
}
'[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Bulk Accept or Reject Job Architecture Suggestions
Accept or reject multiple suggestions in a single request.
Use the category query parameter to choose between skill suggestions (default) and task suggestions.
Skill suggestions (category=skills):
When a skill suggestion is accepted, the corresponding change is applied to the job’s governed skill profile:
add_job_skill: Adds the skill to the job’s skill profile withvalidation_state: validatedremove_job_skill: Marks the skill as rejected on the job’s skill profileset_job_skill_proficiency: Updates the skill’s proficiency levelset_job_skill_criticality: Updates the skill’s critical flag
Task suggestions (category=tasks):
When a task suggestion is accepted, the task is added to the job’s task profile:
add_job_task: Adds the task to the job’s task profile
The data.weekly_hours field is required for all task suggestion interactions.
Side Effects (skill suggestions only):
- Accepting a
set_job_skill_proficiencyorset_job_skill_criticalitysuggestion will automatically accept the correspondingadd_job_skillsuggestion for the same skill if it exists.
Overriding Values (skill suggestions only):
- When accepting a
set_job_skill_proficiencysuggestion, you can optionally provide a differentproficiency_levelin thedatafield to override the suggested value. - When accepting a
set_job_skill_criticalitysuggestion, you can optionally provide a differentcriticalvalue in thedatafield to override the suggested value.
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/suggestions/interactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interactions": [
{
"suggestion_id": "550e8400-e29b-41d4-a716-446655440000",
"state": "accepted"
},
{
"suggestion_id": "660e8400-e29b-41d4-a716-446655440001",
"state": "rejected"
}
]
}
'[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The type of suggestions to export or interact with. If not specified, the default category (skills) will be used.
skills, tasks Body
- Skills
- Tasks
Request body for bulk accepting or rejecting job architecture suggestions.
List of suggestion interactions to process.
1Show child attributes
Show child attributes
[
{
"suggestion_id": "550e8400-e29b-41d4-a716-446655440000",
"state": "accepted"
},
{
"suggestion_id": "660e8400-e29b-41d4-a716-446655440001",
"state": "rejected"
},
{
"suggestion_id": "770e8400-e29b-41d4-a716-446655440002",
"state": "accepted",
"data": { "proficiency_level": 3 }
}
]
Response
No Content - All interactions were processed successfully.
Was this page helpful?